<?php
class FreeNewsBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'Freenews';
	const URI = 'https://feeds.feedburner.com/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);

		$article_html = getSimpleHTMLDOMCached($item['uri']);

		if(!$article_html) {
			$item['content'] = 'Could not request Freenews : ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('article header img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('article header div.featured', 0)->innertext
		);
        $article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('article div.post-content', 0)->innertext
		);
 
		$article_content = stripWithDelimiters($article_content, '<script', '</script>');
		
		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . '/Freenews-Freebox';
		$this->collectExpandableDatas($feedUrl);
	}
}
